<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // this trong hàm callback
    var domainInfo = {
        name: "google.com",
        setName : function(name){
            this.name=name;
        }
    }
    function test(callback, callbackObject){
        var name = "Đinh Văn Trường";
        callback.call(callbackObject,[name]);
    }
    test(domainInfo.setName, domainInfo);
    document.write(domainInfo.name);


    </script>

</body>
</html>